LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Installing LabVIEW Runtime Engine 2016 Compatibilities Issues...?

Solved!
Go to solution

Hi I have just a little question...

 

I've just downloaded LabVIEW Runtime Engine 2016 in a PC at work. I need to run a VI in that PC which has some 2015 executables VI at the moment. My question is, if I install Runtime engine 2016:

 

  • Will be there any issues with the executables that were compiled with the LabVIEW 2015 version?
  • Or those VI's are totaly compatible with Runtime 2016?

Many thanks in advance to all!

 

 

0 Kudos
Message 1 of 4
(2,121 Views)

You need to intall runtime engine to run LV 2015 executables.  You need to isntall runtime engine 2016 to run LV 2016 executables.

 

I'm not sure what you mean by "run a VI".  You can only run a VI within the development environment.

0 Kudos
Message 2 of 4
(2,110 Views)
Solution
Accepted by JLuna

@JLuna wrote:

 

I've just downloaded LabVIEW Runtime Engine 2016 in a PC at work. I need to run a VI in that PC which has some 2015 executables VI at the moment.

I assume that "that PC" already has the LabVIEW 2015 run time engine. It will still be needed to run the 2015 executables. You need to install the LabVIEW 2016 run time engine if you want to also run executables built with LabVIEW 2016. Both run time engines can be installed at the same time.

 

In order to run VIs, you need the LabVIEW development system. LabVIEW 2016 can typically open, recompile, and run VIs from LabVIEW 2015 (and many older versions, details).


LabVIEW Champion. It all comes together in GCentral GCentral
What does "Engineering Redefined" mean??
0 Kudos
Message 3 of 4
(2,085 Views)

Many thanks once again, I also had doubt about running both Runtimes at the same time, thanks!

0 Kudos
Message 4 of 4
(2,066 Views)